Docs/REST API/api_vendor_set_regional_prices
PATCH/api/v1/vendor/assets/{id}/regional-pricesAuthorization: Bearer <token>

Set Regional Prices

Configure localized purchasing prices for INR and EUR buyers.

Description

Sets direct vendor-stipulated currency prices without relying on automated exchange rate fluctuations.

Parameters

3 parameters
ParameterTypeRequiredDefaultDescription
idstringRequiredTarget asset GUID.
priceInrnumberOptionalPrice charged to buyers paying in INR (₹).
priceEurnumberOptionalPrice charged to buyers paying in EUR (€).

Request Example

curl -X PATCH https://api.trykrafto.xyz/api/v1/vendor/assets/6f94726b-67a3-41bb-a5a4-927429beecfa/regional-prices \
  -H "Authorization: Bearer kr_live_token..." \
  -H "Content-Type: application/json" \
  -d '{"priceInr": 1999.00, "priceEur": 35.00}'

Response Example

application/json (200 OK)
{
  "id": "6f94726b-67a3-41bb-a5a4-927429beecfa",
  "priceInr": 1999,
  "priceEur": 35
}